{
  "schema_version": "1.4.0",
  "id": "GHSA-whjg-p56q-xrf9",
  "modified": "2022-04-29T01:27:02Z",
  "published": "2022-04-29T01:27:02Z",
  "aliases": [
    "CVE-2003-0818"
  ],
  "details": "Multiple integer overflows in Microsoft ASN.1 library (MSASN1.DLL), as used in LSASS.EXE, CRYPT32.DLL, and other Microsoft executables and libraries on Windows NT 4.0, 2000, and XP, allow remote attackers to execute arbitrary code via ASN.1 BER encodings with (1) very large length fields that cause arbitrary heap data to be overwritten, or (2) modified bit strings.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2003-0818"
    },
    {
      "type": "WEB",
      "url": "https://docs.microsoft.com/en-us/security-updates/securitybulletins/2004/ms04-007"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A653"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A796"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A797"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A799"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=107643836125615&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=107643892224825&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=ntbugtraq&m=107650972617367&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=ntbugtraq&m=107650972723080&w=2"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/216324"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/583108"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA04-041A.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2004-03-03T05:00:00Z"
  }
}